<div class="flex">
  <h4>Etage {{ depth }} </h4> &nbsp;
  <button class="btn btn-primary" (click)="newFloorNode()"> Ajouter un Node </button>
  <button class="btn btn-danger" (click)="removeFloor()"> Supprimer cet étage </button>
</div>

<div *ngFor="let node of nodes; let index = index;">
  <app-floor-node
    [index]="index"
    [nodeData]="nodes[index]"
    (removeNodeEmitter)="onRemoveNodeEvent($event)"
    #floorNode
    >
  </app-floor-node>
</div>
